MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029500Community[OCCT] OCCT:Visualizationpublic2018-02-11 01:472018-03-06 15:50
Reporterdipts 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029500: Visualization - AIS_Point dynamic highlighting is not drawn on RedrawImmediate
DescriptionAIS_Point dynamic highlighting is not drawn if RedrawImmediate is called, a call to Redraw is needed. According to the behaviour of other AIS objects, this is an error.

This is a regression after 0025695.
Steps To Reproduce
pload VISUALIZATION
vinit
# When grid is activated, vmoveto triggers RedrawImmediate instead of Redraw
vgrid 50 50 100 100 0
vpoint p1 0 0 0
vmoveto 204 204
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025695closedapn Visualization, AIS_InteractiveContext - define default HilightMode 

-  Notes
(0073906)
git (administrator)
2018-02-11 02:31

Branch CR29500 has been created by dipts.

SHA-1: 890be48e99f8ad5b58c67a865ca535578c831d7e


Detailed log of new commits:

Author: dipts
Date: Sun Feb 11 00:31:43 2018 +0100

    0029500: AIS_Point dynamic highlighting is not drawn on RedrawImmediate
    
    The layer id of both highlight drawers of AIS_Point is set to 'Top'.
(0073907)
dipts (developer)
2018-02-11 02:35

Please review the patch.

I tried to create a test case, but it seems that both 'checkcolor' and 'vreadpixel' do not catch the color from the immediate buffer.
(0073908)
kgv (developer)
2018-02-11 09:19

+  myHilightDrawer->SetZLayer (Graphic3d_ZLayerId_Top);
+  myDynHilightDrawer->SetZLayer (Graphic3d_ZLayerId_Top);

For consistency with normal AIS objects, myHilightDrawer should be set to Graphic3d_ZLayerId_UNKNOWN (UNKNOWN in this context means the same Layer as of main presentation), see AIS_InteractiveObject::SetHilightMode():

  //! Sets highlight display mode.
  //! This is obsolete method for backward compatibility - use ::HilightAttributes() and ::DynamicHilightAttributes() 
instead.
  void SetHilightMode (const Standard_Integer theMode)
  {
    if (myHilightDrawer.IsNull())
    {
      myHilightDrawer = new Prs3d_Drawer();
      myHilightDrawer->Link (myDrawer);
      myHilightDrawer->SetAutoTriangulation (Standard_False);
      myHilightDrawer->SetColor (Quantity_NOC_GRAY80);
      myHilightDrawer->SetZLayer(Graphic3d_ZLayerId_UNKNOWN);
    }
    if (myDynHilightDrawer.IsNull())
    {
      myDynHilightDrawer = new Prs3d_Drawer();
      myDynHilightDrawer->Link (myDrawer);
      myDynHilightDrawer->SetColor (Quantity_NOC_CYAN1);
      myDynHilightDrawer->SetAutoTriangulation (Standard_False);
      myDynHilightDrawer->SetZLayer(Graphic3d_ZLayerId_Top);
    }
    myHilightDrawer   ->SetDisplayMode (theMode);
    myDynHilightDrawer->SetDisplayMode (theMode);
  }
(0073909)
git (administrator)
2018-02-11 09:31

Branch CR29500_1 has been created by kgv.

SHA-1: 8e03799df3cdaac1d2034ab857d2d4ad7301b8d3


Detailed log of new commits:

Author: dipts
Date: Sun Feb 11 00:31:43 2018 +0100

    0029500: Visualization - AIS_Point dynamic highlighting is not drawn on RedrawImmediate
    
    ZLayer for Dynamic highlighting of AIS_Point has been set to Graphic3d_ZLayerId_Top
    and of Selected highlighting to Graphic3d_ZLayerId_UNKNOWN,
    to follow the behavior of normal AIS object.
(0073910)
kgv (developer)
2018-02-11 09:33

Please take the patch.

Testing is started at:
http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29500_1-master-KGV/ [^]
(0073921)
git (administrator)
2018-02-11 12:56

Branch CR29500_1 has been updated forcibly by kgv.

SHA-1: af934a225301a0b8534c9dc133813e4d0fd6f109
(0073944)
apn (administrator)
2018-02-12 17:50

Combination -
OCCT branch : CR29500_1 SHA - af934a225301a0b8534c9dc133813e4d0fd6f109
Products branch : master SHA - 41720ba4c544483d56753d7b5ec17b6a72bfac64
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18353.989999999576 / 18375.13999999976 [-0.12%]
Products
Total CPU difference: 7470.120000000003 / 7504.959999999995 [-0.46%]
Windows-64-VC10:
OCCT
Total CPU difference: 17692.104610198527 / 17692.572613198507 [-0.00%]
Products
Total CPU difference: 8045.751574999976 / 8097.855908999923 [-0.64%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074286)
git (administrator)
2018-03-06 15:50

Branch CR29500 has been deleted by kgv.

SHA-1: 890be48e99f8ad5b58c67a865ca535578c831d7e
(0074287)
git (administrator)
2018-03-06 15:50

Branch CR29500_1 has been deleted by kgv.

SHA-1: af934a225301a0b8534c9dc133813e4d0fd6f109

- Related Changesets
occt: master db60634e
Timestamp: 2018-02-10 23:31:43
Author: dipts
Committer: apn
Details ] Diff ]
0029500: Visualization - AIS_Point dynamic highlighting is not drawn on RedrawImmediate

ZLayer for Dynamic highlighting of AIS_Point has been set to Graphic3d_ZLayerId_Top
and of Selected highlighting to Graphic3d_ZLayerId_UNKNOWN,
to follow the behavior of normal AIS object.
mod - src/AIS/AIS_Point.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-11 01:47 dipts New Issue
2018-02-11 01:47 dipts Assigned To => dipts
2018-02-11 01:52 dipts Steps to Reproduce Updated View Revisions
2018-02-11 02:31 git Note Added: 0073906
2018-02-11 02:35 dipts Note Added: 0073907
2018-02-11 02:35 dipts Assigned To dipts => kgv
2018-02-11 02:35 dipts Status new => resolved
2018-02-11 02:35 dipts Steps to Reproduce Updated View Revisions
2018-02-11 09:15 kgv Summary AIS_Point dynamic highlighting is not drawn on RedrawImmediate => Visualization - AIS_Point dynamic highlighting is not drawn on RedrawImmediate
2018-02-11 09:19 kgv Note Added: 0073908
2018-02-11 09:20 kgv Relationship added child of 0025695
2018-02-11 09:21 kgv Description Updated View Revisions
2018-02-11 09:21 kgv Steps to Reproduce Updated View Revisions
2018-02-11 09:22 kgv Target Version 7.4.0* => 7.3.0
2018-02-11 09:31 git Note Added: 0073909
2018-02-11 09:33 kgv Note Added: 0073910
2018-02-11 09:33 kgv Assigned To kgv => bugmaster
2018-02-11 09:33 kgv Severity minor => trivial
2018-02-11 09:33 kgv Status resolved => reviewed
2018-02-11 12:56 git Note Added: 0073921
2018-02-12 17:50 apn Test case number => Not needed
2018-02-12 17:50 apn Note Added: 0073944
2018-02-12 17:50 apn Status reviewed => tested
2018-02-18 13:00 apn Changeset attached => occt master db60634e
2018-02-18 13:00 apn Assigned To bugmaster => apn
2018-02-18 13:00 apn Status tested => verified
2018-02-18 13:00 apn Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074286
2018-03-06 15:50 git Note Added: 0074287


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker